@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    box-sizing: border-box;
}

html, 
body {
    font-size: 10px;
    margin: 0;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin: 0;
}

body {
    min-height: 100dvh;
    text-rendering: optimizeSpeed;
    line-height: 1.5;
}

img,
picture,
video,
canvas,
svg {
    max-width: 100%;
    display: block;
}

input,
button,
textarea,
select {
    font: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
    text-wrap: pretty;
}

.container {
    height: 100vh;
    background-color: #f5f5f5;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.box {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 2rem;
}

.box_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
   
    background-color: #fff;
    padding: 2rem 2rem 5rem;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}

.box img {
    max-width: 100px;
    height: auto;
    border-radius: 6px;
    margin: 25px 0 15px;
}

.box_header {
    width: 100%;
    padding: 1rem;
    border-top: 0;
    border: 1px solid;
    border-image-slice: 1;
    border-width: 1px;
    border-image-source: linear-gradient(90deg, #CCCCCC00 0%, #CCCCCC 53%, #CCCCCC00 100%);
    border-top: 0;
}

.box_header .logo-rtve {
    width: 10rem;
    margin: 0 auto 1.5rem;
}

.box_content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.box_content h3 {
    font-family: "Roboto Slab";
    font-weight: 300;
    font-size: 2.6rem;
    line-height: 1.3;
    color: #575757;
}

.box_content p {
    font-family: "Roboto";
    font-weight: 300;
    font-size: 1.6rem;
    line-height: 1.2;
    color: #575757;
}

.box_content p a {
    color: #d25000;
    text-decoration: underline;
    font-weight: bold;
}

.box_close {
    position: absolute;
    top: 6rem;
    right: 6rem;
}

.box_close .logo-close {
    width: 3rem;
}

footer {
    background-color: #fff;
    box-shadow: inset 0px 2px 4px #00000029;
    color: #222;
    text-align: center;
    padding: 2rem;
    bottom: 0;
    position: relative;
    width: 100%;
}

footer .logo-rtve {
    width: 5rem;
    display: block;
    margin: 0 auto 1rem;
}

footer p {
    font-family: "Roboto";
    font-weight: 300;
    font-size: 1.6rem;
    line-height: 2.4rem;
    color: #575757;
}

.cancelacion .box_content {
    margin-top: 2rem;
    padding: 2rem;
}

.cancelacion .box_buttons {
    display: flex;
    gap: 2rem;
    list-style: none;
    padding: 0;
    margin-top: 2rem;
} 

.cancelacion .box_buttons button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 8rem;
    height: 3.5rem;
    background: #d25000;
    border-radius: .4rem;

    color: #fff;
    font-family: 'Roboto';
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 1.9rem;

    text-decoration: none;
    border: 0;
    cursor: pointer;
}

.cancelacion .box_buttons button:hover,
.cancelacion .box_buttons li:first-child button {
    background-color: #fff;
    color: #d25000;
    border: 1px solid #d25000;
}

.cancelacion .box_buttons li:first-child button:hover {
    background-color: #d25000;
    color: #fff;
    border: 0;
}

.container.suscribete {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: inherit;
}

.suscribete .column1 {
    width: 100%;
    padding: 20px;
}

.suscribete .column1 .logo-rtve {
    max-width: 127px;
    margin-bottom: 20px;
}

.suscribete .column1 h2 {
    font-family: 'Roboto Slab';
    font-weight: 200;
    font-size: 32px;
    line-height: 40px;
    color: #575757;
    margin-bottom: 20px;
}

.suscribete .column1 p {
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #575757;
    max-width: 430px;
    margin-bottom: 60px;
}

.suscribete .column1 .block-form {
    display: flex;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
}

.suscribete .column1 .block-form_checkbox {
    width: 24px;
    height: 24px;
    border-radius: 4px;
    margin: 0;
    position: relative;
    border: 1px solid #575757;
    cursor: pointer;
}

.suscribete .column1 .block-form_checkbox:checked {
    appearance: none;
    accent-color: #fff;
    border: 1px solid #575757;
}

.suscribete .column1 .block-form_checkbox:checked:before {
    content: "";
    width: 12px;
    height: 12px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #D25000;

}

.suscribete .column1 .block-form_checkbox:checked + label + input {
    border:  1px solid #D25000;
    color: #D25000;
    cursor: pointer;
}

.suscribete .column1 .block-form_checkbox:checked + label + input:hover {
    background-color: #D25000;
    color: #fff;
}


.suscribete .column1 label {
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 14px;
    line-height: 18px;
    color: #575757;
    max-width: 80%;
}

.suscribete .column1 label a {
    font-family: 'Roboto';
    font-weight: 900;
    font-size: 14px;
    line-height: 18px;
    color: #D25000;
}

.suscribete .block-form_btn {
    width: 100%;
    background: #fff;
    height: 42px;
    border: 1px solid #c3c3c3;
    border-radius: 4px;
    font-family: 'Roboto';
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    color: #c3c3c3;
    margin: 20px auto;
}

.suscribete .column2 {
    margin: 0 20px;
}

.suscribete .column2 h2 {
    font-family: 'Roboto Slab';
    font-weight: 300;
    font-size: 20px;
    line-height: 24px;
    color: #575757;
}

.suscribete .column2 p {
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #575757;
}

.suscribete .block {
    margin-bottom: 20px;
}

.suscribete .block.disabled {
    filter: grayscale(100%);
    opacity: .7;
}

.suscribete .block_header {
    display: flex;
    align-items: center;
    gap: 10px;
    border-top: 1px solid #ccc;
    padding-top: 17px;
    margin-bottom: 20px;
}

.suscribete .block_header img {
    max-width: 45px;
}

.suscribete .column2 .block_text {
    font-family: 'Roboto Slab';
    font-weight: 300;
    font-size: 16px;
    line-height: 24px;
    color: #575757;
}

.suscribete .column2 .block_text,
.suscribete .switch {
    margin-left: auto;
}

@media (min-width: 769px) {

    .container.suscribete {
        background-color: #fff;
        display: flex;
        flex-direction: row;
        max-width: 1000px;
        margin: 0 auto;
        align-items: flex-start;
        height: inherit;
    }

    .suscribete .column1 {
        max-width: 500px;
        padding-top: 70px;
    }

    .suscribete .column1 .logo-rtve {
        max-width: 164px;
        margin-bottom: 20px;
    }

    .suscribete .column1 h2 {
        font-family: 'Roboto Slab';
        font-weight: 200;
        font-size: 32px;
        line-height: 40px;
        color: #575757;
        max-width: 430px;
    }

    .suscribete .column2 {
        margin: 40px 0;
    }

    .suscribete .block {
        max-width: 444px;
        margin-bottom: 20px;
    }

    .suscribete .block_header {
        gap: 20px;
    }

    .suscribete .column2 h2 {
        font-size: 24px;
    }
}

@media (min-width: 480px) {

    .box {
        justify-content: center;
        padding: 0;
    }

    .box_content {
        padding: 0 1rem;
    }

    .box_container {
        width: 56rem;
    }
}

/* INTERRUPTOR */

.switch {
    position: relative;
    display: inline-block;
    width: 45px;
    height: 24px;
}

.switch input {
    display: none;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #f7f7f7;
    -webkit-transition: .4s;
    transition: .4s;
    border: 1px solid #ccc;
}

.slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 0;
    bottom: 0;
    background-color: #8b8b8b;
    transition: all .5s;
}

input:checked +.slider:before {
    -webkit-transform: translateX(21px);
    -ms-transform: translateX(21px);
    transform: translateX(21px);
    background-color: #D25000;
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}


/* POSICIONANDO ONE TRUST */
body #onetrust-consent-sdk {width: 100%;left: 0;float: left;display: block;padding-bottom: 4rem;position:relative;}
body #ot-sdk-btn-floating.ot-floating-button {position: relative;bottom: 0;width: 4rem;height: 4rem;left: 50%!important;transform: translateX(-50%);z-index: 0;}
body #ot-sdk-btn-floating .ot-floating-button__front {background-color: unset;background-image:url("https://css.rtve.es/css/rtve.2021/i/rtve-icons.svg/rtve-icon_ot_persistent_cookie.svg");box-shadow: none;opacity: .34;}
body #ot-sdk-btn-floating .ot-floating-button__front:hover { opacity: 1}
body #ot-sdk-btn-floating .ot-floating-button__back {background: transparent;}
